<!DOCTYPE html>
<html lang="en">
    <head>
        {% block head %}
            <title>{% block title %}{{ config.site_name }} - {{ config.page_nav.get(active_dispatch, '') }}{% endblock title %}</title>
            <meta name="viewport" content="width=device-width, initial-scale=1">
            <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
            <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.0/jquery.min.js"></script>
            <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
            <script>
             $(document).ready(function () {
                 $('[data-toggle="tooltip"]').tooltip(); // enable tooltips
             });
            </script>
        {% endblock head %}
    </head>
    <body>
        <nav class="navbar navbar-inverse">
            <div class="container-fluid">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#navbar-golem">
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>                        
                    </button>
                    <a class="navbar-brand" href="{{ url_for('index') }}">{{ config.site_name }}</a>
                </div>
                <div class="collapse navbar-collapse" id="navbar-golem">
                <ul class="nav navbar-nav">
                    {% for page_dispatch, page_name in config.page_nav.items() %}
                        <li {% if page_dispatch == active_dispatch %}class="active"{% endif %}><a href="{{ url_for(page_dispatch) }}">{{ page_name }}</a></li>
                    {% endfor %}
                </ul>
                <ul class="nav navbar-nav navbar-right">
                    <li><a href="{{ url_for('logout', identification='yes', next=active_dispatch) }}" data-toggle="tooltip" data-placement="bottom" title="Click to change user"><span class="glyphicon glyphicon-user"></span> {{ session.get('identification', 'Anonymous') }}</a></li>
                    <li><a href="{{ url_for('logout', access_token='yes', next=active_dispatch) }}" data-toggle="tooltip" data-placement="bottom" title="Click to change access level"><span class="glyphicon glyphicon-lock"></span> Access: Level {{ session['access_level'] }}</a></li>
                    <li><a href="#" data-toggle="tooltip" data-placement="bottom" title="Click to show help window"><span class="glyphicon glyphicon-question-sign"></span> Help</a></li>
                </ul>
                </div>
            </div>
        </nav>
        {% block container_div %}<div class="container">{% endblock %}
            {% for message in get_flashed_messages() %}
            <div class="alert alert-success alert-dismissable">
                <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                {{ message }}
            </div>
            {% endfor %}

            {% block content %}{% endblock content %}
        </div>
    </body>
</html>
